Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface Bridge

All Known Subinterfaces:
  ClipBridge, FilterBridge, FilterPrimitiveBridge, GenericBridge, GraphicsNodeBridge, MarkerBridge, MaskBridge, PaintBridge

All Known Implementing Classes:
  AbstractGraphicsNodeBridge, AbstractSVGBridge, AbstractSVGFilterPrimitiveElementBridge, AbstractSVGGradientElementBridge, AbstractSVGGradientElementBridge.SVGStopElementBridge, ColorSwitchBridge, SolidColorBridge, SVGClipPathElementBridge, SVGDescElementBridge, SVGFilterElementBridge, SVGMarkerElementBridge, SVGMaskElementBridge, SVGPatternElementBridge, SVGSwitchElementBridge, SVGTitleElementBridge

public interface Bridge

A tagging interface that all bridges must implement. A bridge is responsible on creating and maintaining an appropriate object according to an Element.

Method Summary
`Bridge` | `getInstance()` Returns a new instance of this bridge.
`java.lang.String` | `getLocalName()` Returns the local name of the element this `Bridge` is dedicated to.
`java.lang.String` | `getNamespaceURI()` Returns the namespace URI of the element this `Bridge` is dedicated to.

Method Detail

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Returns the namespace URI of the element this `Bridge` is dedicated to.

### getLocalName

    public java.lang.String getLocalName()

  Returns the local name of the element this `Bridge` is dedicated to.

### getInstance

    public Bridge getInstance()

  Returns a new instance of this bridge.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.